Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
DatabaseEnvironmentConfig..::.RunRecovery Field
DatabaseEnvironmentConfig Class See Also Send Feedback

If true, normal recovery is run on this environment before opening it for normal use.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool RunRecovery

Visual Basic (Declaration)
    Public RunRecovery As Boolean

Visual C++
    public:
    bool RunRecovery

# Remarks

If true, the Create and UseTxns must also be set, because the regions are going to be removed and re-created, and transactions are required for application recovery.

# See Also

DatabaseEnvironmentConfig Class
BerkeleyDB Namespace